{if count($sub_dirs)}{assign var=one_dir value=reset($sub_dirs)}{/if}

{if empty($query) || (count($sub_dirs) && $dir_id != $one_dir.id)}
<nav class="subCategory">
    {foreach from=$sub_dirs item=item}
    <a href="{urlmake category=$item._alias p=null f=null bfilter=null}">{$item.name}</a>
    {/foreach}
</nav>
<br>
{/if}

{if count($list)}
<div class="sortLine">
    Сортировать по: 
        <a href="{urlmake sort="cost" nsort=$sort.cost}" class="item{if $cur_sort=='cost'} {$cur_n}{/if}">цене</a>
        <a href="{urlmake sort="rating" nsort=$sort.rating}" class="item{if $cur_sort=='rating'} {$cur_n}{/if}">рейтингу</a>
        <a href="{urlmake sort="dateof" nsort=$sort.dateof}" class="item{if $cur_sort=='dateof'} {$cur_n}{/if}">по дате</a>
</div>
<div class="productList">
    <ul>
        {foreach from=$list item=product}
            <li {$product->getDebugAttributes()}>
                <a href="{$product->getUrl()}" class="image"><img src="{$product->getMainImage(140,200,'xy')}"></a>
                <a href="{$product->getUrl()}" class="title">{$product.title}</a>
                <div class="cost">{$product->getCost()}</div>
            </li>
        {/foreach}
    </ul>
    {if $paginator->total_pages>1}
        <div class="paginator">
            {if $paginator->page>1}
            <a href="{$paginator->getPageHref($paginator->page-1)}" data-page="{$paginator->page-1}" title="предыдущая страница">&laquo;<span class="text"> назад</span></a>
            {/if}
            {foreach from=$paginator->getPageList() item=page}
            <a href="{$page.href}" data-page="{$page.n}" {if $page.act}class="act"{/if}>{if $page.class=='left'}&laquo;{$page.n}{elseif $page.class=='right'}{$page.n}&raquo;{else}{$page.n}{/if}</a>
            {/foreach}
            {if $paginator->page < $paginator->total_pages}
            <a href="{$paginator->getPageHref($paginator->page+1)}" data-page="{$paginator->page+1}" title="следующая страница"><span class="text">вперед</span> &raquo;</a>
            {/if}
        </div>
    {/if}    
</div>
{else}
    <div class="noProducts">
        В данной категории нет ни одного товара
    </div>
{/if}